local shot_x, shot_y = EntityGetTransform(GetUpdatedEntityID())

local maggots = {
	"maggot_1",
	"maggot_2",
	"maggot_3",
	"maggot_4",
}

SetRandomSeed(shot_x, shot_y)

EntityLoad("mods/lewd_noita/files/enemies/" .. maggots[Random(1, 4)] .. ".xml", shot_x, shot_y)